Bug 69520 - Remove or cope gracefully with 2gb file limit when loggin
Remove or cope gracefully with 2gb file limit when loggin
Product: Red Hat Public Beta
Classification: Retired
Component: httpd (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-22 18:41 EDT by Joe Orton
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-29 14:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-07-22 18:41:29 EDT
Description of Problem:
When the 2gb file limit is reached for a log file, the httpd process will
segfault when attempting to write to the log. (see also bug 62712)

Proposed Solutions:
Ideal solution would be to build the httpd binary with LFS support.

A minimal workaround would be provide a rotatelogs binary which is itself built
with LFS support.
Comment 1 Joe Orton 2002-07-23 10:27:49 EDT
Unfortunately in 2.0, using a rotatelogs with LFS support would mean
un-APR-izing it (maybe just using the 1.3 code).
Comment 2 Preston Brown 2002-08-21 13:43:19 EDT
Are we going to build apache 2.0 w/LFS support?  Is this a major trouble?
Comment 3 Joe Orton 2002-08-29 11:07:31 EDT
Adding LFS support using _FILE_OFFSET_BITS=64 would break the module ABI,
and using open(O_LARGEFILE) requires an API change in APR, so I'll co-ordinate
with upstream on those rather than patching them in.  httpd-2.0.40-3 sets
SIGXFSZ to be ignored which is the first workaround for this issue.
Comment 4 Joe Orton 2002-09-03 12:02:02 EDT
Confirmed that with SIGXFSZ set to ignore, new log entries are simply dropped
once the 2gb limit is passed, so marking this closed.
Comment 5 Matthias Saou 2002-12-03 07:08:53 EST
Well, could this bug report at least contain the required information to have
apache 1.3 ignore SIGXFSZ?
I'm still running plenty of Red Hat Linux 7.3 servers, all of which would have
log files _much_ larger than 2GB if they were rotated only every week, and once
in a while for new servers, I forget to add a daily log rotation and it's a real
disaster since once any file reaches 2GB all httpd childs segfault and all
websites are down.

Note You need to log in before you can comment on or make changes to this bug.